<template>
  <tasks-detail :task="task" @saved="$router.back()" focus back></tasks-detail>
</template>

<script lang="ts">
import Task from "@/models/Task";
import { reactive, computed, ref, watchEffect } from "vue";

import TasksDetail from "@/components/Tasks/Detail.vue";
import router from "@/router";
import Workspace from "@/models/Workspace";

export default {
  components: { TasksDetail },
  props: {
    workspaceId: {
      type: String,
      required: true
    }
  },
  setup(props) {
    const homeprops = homeProps(props);

    const task = new Task();
    watchEffect(async () => (task.workspaceId = homeprops.workspace.value.id));

    return {
      task
    };
  }
};
</script>
